//
// Created by marcin on 15.06.16.
//

#ifndef HDCV_FINGERNAME_H
#define HDCV_FINGERNAME_H

#include <vector>
#include <list>
#include "iostream"
using namespace std;

class FingerName {

    public:
    enum Type {LITTLE, RING, MIDDLE, INDEX, THUMB, UNKNOWN};

    Type getNext();
        Type getPrev();
        FingerName();
        void setType(Type type);
        FingerName::Type getType();

    friend ostream& operator<<(ostream& os, const FingerName& dt);

    private:
        Type type = Type ::UNKNOWN;
        vector<Type> types = {LITTLE,RING,MIDDLE,INDEX,THUMB,UNKNOWN};


};
#endif //HDCV_FINGERNAME_H
