
#include <opencv2/opencv.hpp>
#include "Frame.h"

#include <sys/stat.h>

using namespace cv;
using namespace std;

#define COUNTER_PRINT 1

int main() {
//    VideoCapture video = VideoCapture("/dev/video0");
    VideoCapture video = VideoCapture("/home/marcin/mgr/project/samplevideos/left_click.avi");
//    VideoCapture video = VideoCapture("/home/marcin/mgr/project/samplevideos/difficult_left.avi");
//    VideoCapture video = VideoCapture("/home/marcin/mgr/project/samplevideos/quick_left.avi");

    namedWindow("preview",CV_WINDOW_FULLSCREEN);

    Frame frame;
    int COUNTER = 0;
    mkdir("/home/marcin/mgr/project/handtracking/out",0777);
    mkdir("/home/marcin/mgr/project/handtracking/out/frames",0777);
//
    Mat temp;
//    for(int i=0; i<210;i++){
    for(int i=0; i<29;i++){
        video>>temp;
    }

    for(;;) {
        #if(COUNTER_PRINT==1)
            cout<<"counter : "<<COUNTER<<endl;
        #endif
        frame.compute(video, COUNTER);
//        imshow("preview",frame.original);
        pyrDown(frame.blackwhite,frame.blackwhite);
        pyrDown(frame.blackwhite,frame.blackwhite);
//        pyrDown(frame.blackwhite,frame.blackwhite);
        Rect roi( Point(0,0 ), frame.blackwhite.size());
        vector<Mat> channels;
        Mat result;
        for(int i=0;i<3;i++)
            channels.push_back(frame.blackwhite);
        merge(channels,result);
        result.copyTo( frame.original(roi));
        imshow("preview",frame.original);

        if(waitKey(100) == char('q')) break;
        COUNTER++;

    }
}