//
// Created by marcin on 15.06.16.
//

#include "FingerName.h"
#include <sstream>
FingerName::FingerName(){

}

FingerName::Type FingerName::getNext() {
    int ix = 0;
    for(int i=0; i<types.size(); i++){
        Type t = types[i];
        if(t==type && i<types.size()){
            ix = i+1;
        }
    }
    type = types[ix];

    return types[ix];
}

FingerName::Type FingerName::getPrev() {
    int ix = 0;
    for(int i=0; i<types.size(); i++){
        Type t = types[i];
        if(t==type && i>0){
            ix = i-1;
        }
    }
    type = types[ix];
    return types[ix];
}

void FingerName::setType(Type type) {
    this->type = type;
}

ostream& operator<<(ostream& os, const FingerName& fingerName) {
    switch( fingerName.type )
    {
        case FingerName::LITTLE: os << "LITTLE"; break;
        case FingerName::RING: os << "RING"; break;
        case FingerName::MIDDLE: os << "MIDDLE"; break;
        case FingerName::INDEX: os << "INDEX"; break;
        case FingerName::THUMB: os << "THUMB"; break;
        case FingerName::UNKNOWN: os << "UNKNOWN"; break;
    }
    return os;
}


FingerName::Type FingerName::getType() {
    return type;
}






